Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000505Core InformActivitiespublic2011-01-12 14:422014-05-07 07:33
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000505: Rules without 'parameters' not listed in RULES command.
DescriptionNot sure if this is intentional or not, but the following source code only shows the has-parameter rule in the RULES output, not the no-parameter rule. Order of the rules doesn't matter.

This is true even for RULES ALL.
Minimal Source Text To Reproduce
"test" by Ron Newcomb

Creating something is an activity on people.

For creating (this is the no-parameter rule): continue the activity.
For creating for anyone (this is the has-parameter rule): continue the activity.

To RULES: (- debug_rules = 1; -).

every turn: RULES; carry out the creating activity with yourself.

Test me with "z/z/z"

There is room. 
Additional Informationtest
An Interactive Fiction by Ron Newcomb
Release 1 / Serial number 110112 / Inform 7 build 6G60 (I6/v6.32 lib 6/12N) SD

room

>z
Time passes.

[Rule "has-parameter rule" applies.]
>z
[Rule "standard report waiting rule" applies.]
Time passes.

[Rule "has-parameter rule" applies.]
>RULES ALL
Rules tracing now switched to "all". Type "rules off" to switch it off again.

>z
[Rule "standard set going variables rule" does not apply.]
[Rule "determine visibility ceiling rule" does not apply.]
[Rule "Setting action variables for exiting" does not apply.]
[Rule "standard report waiting rule" applies.]
Time passes.

[Rule "has-parameter rule" applies.]
>z
[Rule "standard report waiting rule" applies.]
Time passes.

[Rule "has-parameter rule" applies.]
>
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000966)
Ron Newcomb (reporter)
2011-01-12 14:44

even if the has-parameter rule is changed to "an object", which in the I6 compiles to "if (true)", it still appears in RULES while the functionally identical parameter-less one does not.


For creating for an object (this is the has-parameter rule): continue the activity.
(0000968)
jmcgrew (administrator)
2011-01-12 20:31

Confirmed - the calls to DB_Rule are absent from the generated code for the no-parameter rule. Adding a trivial restriction (like "when 1 is 1" or "during Entire Game") fixes it.
(0002376)
graham (administrator)
2014-01-25 16:40

The RULES testing command was originally set up so that it wouldn't list rules with no applicability tests. This was actually a deliberate decision, the idea being that you didn't need to be told, but I now think the added verbosity is worth it for the sake of consistency. I've made the change.

- Issue History
Date Modified Username Field Change
2011-01-12 14:42 Ron Newcomb New Issue
2011-01-12 14:44 Ron Newcomb Note Added: 0000966
2011-01-12 20:31 jmcgrew Note Added: 0000968
2011-01-12 20:31 jmcgrew Status new => confirmed
2014-01-25 16:40 graham Note Added: 0002376
2014-01-25 16:40 graham Status confirmed => resolved
2014-01-25 16:40 graham Resolution open => fixed
2014-01-25 16:40 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker